#ifndef MYMODEL_H
#define MYMODEL_H

#include <QObject>
#include <QtGui>
#include <QSqlQueryModel>
#include <QSqlQuery>
#include <QSqlTableModel>
#include <QMap>

class MyModel : public QSqlTableModel {
Q_OBJECT
public:
    explicit MyModel(QObject *parent = 0);
    Qt::ItemFlags flags(const QModelIndex &index) const;
    bool setData(const QModelIndex &, const QVariant &, int);
    QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const;
    void setPointers(QMap <int, QString> newPointers){pointers_map = newPointers;}
    void setFilesFields(QMap <int, QString> newFilesFields){files_map = newFilesFields;}

    QMap <int, QString> pointers(){return pointers_map;}
    QMap <int, QString> filesFields (){return files_map;}
    void setBooleansList(QList <int> newBoolList){bolleans_list = newBoolList;}

    void setIconIndex(int new_index){icon_index = new_index;}
    int iconIndex(){return icon_index;}

private:
    QMap <int, QString> pointers_map; //             
                                  //     -   -    
    QMap <int, QString> files_map; //           ,  
                                  //     -  

    QList <int> bolleans_list; //     "bool"


    int icon_index; //  ,    

signals:

public slots:

};

#endif // MYMODEL_H
